Skip to main content
`Ctrl`+`K`

# PetscDrawGetBoundingBox

Gets the bounding box of all `PetscDrawStringBoxed()` commands

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawGetBoundingBox(PetscDraw draw, PetscReal *xl, PetscReal *yl, PetscReal *xr, PetscReal *yr)

Not Collective

## Input Parameter

- draw - the drawing context

## Output Parameters

- xl - horizontal coordinate of lower left corner of bounding box

- yl - vertical coordinate of lower left corner of bounding box

- xr - horizontal coordinate of upper right corner of bounding box

- yr - vertical coordinate of upper right corner of bounding box

## See Also

`PetscDraw`, `PetscDrawPushCurrentPoint()`, `PetscDrawPopCurrentPoint()`, `PetscDrawSetCurrentPoint()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/dline.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages